"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emitCSS = exports.autoPrefixCSS = void 0;
const lightningcss_1 = require("lightningcss");
const cssTransform_1 = require("./plugin/cssTransform");
Object.defineProperty(exports, "emitCSS", { enumerable: true, get: function () { return cssTransform_1.emitCSS; } });
async function transformCSS(css, ...plugins) {
    css = css || (0, cssTransform_1.emitCSS)();
    const { code } = (0, lightningcss_1.transform)({
        code: Buffer.from(css),
        drafts: { customMedia: true, nesting: true },
        minify: true,
        filename: "style.css",
        sourceMap: false,
        // browserslist hardcoded
        // probably change or manually audit
        targets: {
            android: 6422528,
            chrome: 6488064,
            edge: 6488064,
            firefox: 6356992,
            ie: 720896,
            ios_saf: 983552,
            opera: 5439488,
            safari: 983552,
            samsung: 1048576,
        },
    });
    return code;
}
exports.default = transformCSS;
function autoPrefixCSS(css, ...plugins) {
    return transformCSS(css);
}
exports.autoPrefixCSS = autoPrefixCSS;
